## rust-coreutils 0.2.2

=== Makefile ===
UseGNU=gmake $*
all:
	@$(UseGNU)
.DEFAULT:
	@$(UseGNU)
