## rust-coreutils 0.0.14

=== debian/changelog ===
rust-coreutils (0.0.14-3) unstable; urgency=medium

  * Remove the ioctl dep and use the libc directly

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Jun 2022 21:00:01 +0200

rust-coreutils (0.0.14-2) unstable; urgency=medium

  * Relax dep against exacl to unbreak the build
    and potentially fix the FTBFS

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Jun 2022 08:05:39 +0200

rust-coreutils (0.0.14-1) unstable; urgency=medium

  * New upstream release
  * Added librust-selinux-dev, librust-conv-dev, librust-pretty-assertions-dev
    librust-time-dev, librust-unindent-dev, librust-rlimit-dev,
    librust-data-encoding-macro-dev, librust-dns-lookup-dev,
    librust-os-display-dev, librust-z85-dev, librust-fts-sys-dev,
    librust-exacl-dev, librust-byte-unit-dev, librust-gcd-dev,
    librust-signal-hook-dev, librust-paste-dev, librust-quickcheck-dev,
    librust-crossterm-dev, librust-bigdecimal-dev,
    librust-binary-heap-plus-dev, librust-ouroboros-dev,
    librust-memmap2-dev, librust-retain-mut-dev,
    librust-strum-dev, librust-utf-8-dev
    as new deps
  * Fix various dep issues (Closes: #995914)
  * Package coreutils 0.0.14 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Jun 2022 23:50:57 +0200

rust-coreutils (0.0.6-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Apr 2021 12:08:24 +0200

rust-coreutils (0.0.4-1~exp2) experimental; urgency=medium

  * Binaries have been moved in usr/lib/cargo/bin/coreutils
    The rationale is that some other rust programs are installed
    in this directory (ex: /usr/lib/cargo/bin/fd). So, users might
    add /usr/lib/cargo/bin/ to their PATH and caused some unexpected
    errors if the Rust coreutils binaries aren't behaving like GNU's.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Mar 2021 10:57:54 +0100

rust-coreutils (0.0.4-1~exp1) experimental; urgency=medium

  * New upstream release
  * Rebase of the patches
  * Set a minimal version for platform-info
  * Use PROFILE=release instead of a silly sed

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Feb 2021 11:28:54 +0100

rust-coreutils (0.0.3-1~exp2) experimental; urgency=medium

  * Set a minimal version for librust-hostname-dev
  * chroot, hashsum, hostname, kill, more, relpath and uptime were
    not installed
  * Add fail missing

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Feb 2021 17:02:19 +0100

rust-coreutils (0.0.3-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add missing build dependency (librust-cpp-build-dev)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2021 13:31:05 +0100

rust-coreutils (0.0.2-1~exp1) experimental; urgency=medium

  * Package coreutils 0.0.2 from crates.io using debcargo 2.4.4-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Jan 2021 22:15:47 +0100
