=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
VERSION := $(shell dpkg-parsechangelog -S Version|sed -e "s|.*~\(.*\)-.*|\1|g")
%:
	dh $@ --buildsystem cargo --with bash-completion

override_dh_auto_clean:
	rm -f docs/*.1
	dh_auto_clean

override_dh_auto_test:

override_dh_auto_install:
	CARGO_HOME=$(shell pwd)/debian/cargo_home DEB_CARGO_CRATE=coreutils_$(VERSION) /usr/share/cargo/bin/cargo prepare-debian debian/cargo_registry --link-from-system
	CARGO_HOME=$(shell pwd)/debian/cargo_home DESTDIR=$(CURDIR)/debian/tmp/ make install PROFILE=release
	for f in $(CURDIR)/debian/tmp/usr/bin/*; do \
		filename=$$(basename $$f); \
		help2man $$f > docs/rust-$$filename.1; \
	done

	rm -f $(CURDIR)/debian/tmp/usr/local/man/man1/arch.1.gz

override_dh_missing:
	dh_missing --fail-missing
