## rust-coreutils 0.0.17

=== debian/changelog ===
rust-coreutils (0.0.17-2) unstable; urgency=medium

  * Unbreak the s390x build

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Jan 2023 23:14:48 +0100

rust-coreutils (0.0.17-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Jan 2023 23:27:05 +0100

rust-coreutils (0.0.16-4) unstable; urgency=medium

  * Team upload.
  * Bump lscolors dependency to 0.14 and build-depend explicitly on it.
  * Build-depend explicitly on version 3 of clap.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Jan 2023 00:02:28 +0000

rust-coreutils (0.0.16-3) unstable; urgency=medium

  * Relax the dep on nix to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Dec 2022 09:31:17 +0100

rust-coreutils (0.0.16-2) unstable; urgency=medium

  * Run the tests (but don't fail the build if not 100%)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Nov 2022 09:55:03 +0100

rust-coreutils (0.0.16-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Nov 2022 09:34:36 +0100

rust-coreutils (0.0.15-1) unstable; urgency=medium

  * New upstream release
    - Update of the desc as all binaries exist now
      (some options are still missing)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Sep 2022 13:54:25 +0200

rust-coreutils (0.0.14-4~exp2) experimental; urgency=medium

  * Fix the FTBFS on 32 bit with selinux

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2022 19:08:59 +0200

rust-coreutils (0.0.14-4~exp1) experimental; urgency=medium

  * Use symlink instead of multiple binaries.
    Works the same way but decrease the footprint
    Use changes from apertus:
    https://gitlab.apertis.org/pkg/rust-coreutils/-/tree/apertis/v2023dev1/debian
  * Be more explicit for some dependencies
  * Build selinux binaries

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Aug 2022 14:48:40 +0200
