## rust-coreutils 0.0.20

=== debian/changelog ===
rust-coreutils (0.0.20-1) unstable; urgency=medium

  * New upstream release
  * librust-self-cell-dev is a new dep
  * Standards-Version updated 4.6.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jul 2023 18:34:00 +0200

rust-coreutils (0.0.19-3) unstable; urgency=medium

  * Team upload.
  * On 32-bit architectures, reduce debuginfo level and use thin lto rather
    than full lto to avoid issues with running out of address space.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 16 Jul 2023 00:20:58 +0000

rust-coreutils (0.0.19-2) unstable; urgency=medium

  * Add missing build dep
    librust-clap-mangen-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jul 2023 17:17:12 +0200

rust-coreutils (0.0.19-1) unstable; urgency=medium

  [ Peter Michael Green ]
  * Drop empty patch lower-zip.diff
  * Drop relax-bstr.diff
  * Build-depend explicitly on version 4 of clap and clap-complete.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add override_dh_dwz

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 14:04:16 +0200
