=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
 VERSION := $(shell dpkg-parsechangelog -S Version|sed -e "s|.*~\(.*\)-.*|\1|g")
-
+UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version|cut -d- -f1)
 
 # Build a multicall binary instead of multiple binaries
 # to reduce the storage footprint
@@ -20,7 +20,14 @@
 
 override_dh_auto_install:
 	CARGO_HOME=$(CURDIR)/debian/cargo_home DEB_CARGO_CRATE=coreutils_$(VERSION) /usr/share/cargo/bin/cargo prepare-debian debian/cargo_registry --link-from-system
+#use thin rather than full lto on 32-bit to avoid running out of address space.
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+	sed -i 's/lto = true/lto = "thin"/' Cargo.toml
+endif
 	CARGO_HOME=$(CURDIR)/debian/cargo_home DESTDIR=$(CURDIR)/debian/tmp/ make SELINUX_ENABLED=1 PROFILE=release MULTICALL=$(MULTICALL) install
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+	sed -i 's/lto = "thin"/lto = true/' Cargo.toml
+endif
 # Create the symlink early to be able to generate the manpages
 	dh_link
 
@@ -31,11 +38,21 @@
 	cd $(CURDIR)/debian/rust-coreutils/usr/lib/cargo/bin/coreutils/; \
 	for f in *; do \
 		filename=$$(basename $$f); \
-		help2man --no-info $$f > $(CURDIR)/docs/rust-$$filename.1; \
+		help2man --no-discard-stderr --no-info $$f > $(CURDIR)/docs/rust-$$filename.1; \
 	done
 	
 	cd $(CURDIR)/debian/tmp/usr/bin/; \
-	help2man --no-info coreutils > $(CURDIR)/docs/coreutils.1 || true
+	PATH=.:$PATH help2man --no-discard-stderr --no-info --version-string=$(UPSTREAM_VERSION) coreutils > $(CURDIR)/docs/coreutils.1 || true
 	
 	# test --help returns nothing
 	rm -f $(CURDIR)/docs/rust-test.1
+
+override_dh_dwz:
+	# Don't do anything. fails because of the
+	# https://github.com/rust-lang/rust/issues/66118
+
+#use lower debuginfo level on 32-bit to avoid running out of address space.
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+execute_after_dh_auto_configure:
+	sed -i s/debuginfo=2/debuginfo=1/ debian/cargo_home/config
+endif
