## rust-coreutils 0.0.24

=== debian/changelog ===
rust-coreutils (0.0.24-2) unstable; urgency=medium

  * Team upload.
  * Relax cargo dependency on notify crate.
  * Reduce context in patches to avoid conflicts.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 25 Feb 2024 10:07:14 +0000

rust-coreutils (0.0.24-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 29 Jan 2024 14:43:13 +0100

rust-coreutils (0.0.23-3) unstable; urgency=medium

  * Team upload.
  * Fix Debian dependency for "half" crate.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Jan 2024 08:27:35 +0000

rust-coreutils (0.0.23-2) unstable; urgency=medium

  * Team upload.
  * Relax crossterm dependency.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 22 Nov 2023 17:02:31 +0000

rust-coreutils (0.0.23-1) unstable; urgency=medium

  * New upstream release
  * Fix "Fails to build source after successful build"
    (closes: #1046006)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Nov 2023 12:38:26 +0100

rust-coreutils (0.0.22-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Oct 2023 22:04:25 +0200

rust-coreutils (0.0.21-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Sep 2023 18:58:30 +0200
