## rust-coreutils 0.0.26

=== debian/changelog ===
rust-coreutils (0.0.26-5) unstable; urgency=medium

  * Only apply the debug sed if the file exists (Closes: #1082938)
  * Fix the half dependency (Closes: #1083058) - was fixed in the previous
    upload but not closed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Oct 2024 10:58:56 +0200

rust-coreutils (0.0.26-4) unstable; urgency=medium

  * Team upload.
  * Stop patching cargo dependenies on half and glob. Update Debian build
    dependencies accordingly.
  * Reduce context in relax-itertools.diff, relax-gcd.diff, relax-fundu.diff
    and relax-hostname.diff to avoid fuzz.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 19 Sep 2024 14:50:41 +0000

rust-coreutils (0.0.26-3) unstable; urgency=medium

  * Relax notify dependency to support 6.x

 -- James McCoy <jamessan@debian.org>  Tue, 11 Jun 2024 16:29:09 -0400

rust-coreutils (0.0.26-2) unstable; urgency=medium

  * Team upload

  [ Sylvestre Ledru ]
  * As nix & chrono have been updated, remove the upstream cherry-picked
    patches

  [ Peter Michael Green ]
  * Fix build on 32-bit architectures with time64 (Closes: #1071048)
    + Use mem::zeroed to create timespec structs as they contain padding on
      time64 architectures.
    + Build-depend on librust-selinux-sys-dev (>= 0.6.7-2)  to pick up time64
      fix.
  * Add patch to support nix 0.27 (upstream uses 0.28).
  * Tighten nix dependency in debian/control, the nix 0.27 patch will need
    to be removed when debian upgrades to nix 0.28.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 15 May 2024 00:16:03 +0000

rust-coreutils (0.0.26-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1067897, #1069413)
    Adds support for loongarch (Closes: #1059268)
  * remove librust-failure-dev, librust-failure-derive-dev unused deps
  * remove help2man from the build deps (not used)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 May 2024 14:03:13 +0200
