=== debian/control ===
--- 
+++ 
@@ -10,26 +10,26 @@
  librust-clap-4-dev, librust-clap-complete-4-dev,
  librust-clap-mangen-dev,
  librust-backtrace-dev,
- librust-half-1.6+default-dev | librust-half-1.3+default-dev | librust-half-1.2+default-dev | librust-half-1.1+default-dev,
+ librust-half-2+default-dev (>= 2.4),
  librust-lazy-static-1+default-dev (>= 1.3-~~),
  librust-same-file-1.0.6+default-dev | librust-same-file-1.0.5+default-dev | librust-same-file-1.0.4+default-dev,
  librust-textwrap-dev (>= 0.16.0), librust-cc-dev,
  librust-quick-error-dev (>= 2.0), librust-unix-socket-dev, librust-getopts-dev,
  librust-filetime-dev (>= 0.2.17),
  librust-walkdir-dev (>= 2.3.2), librust-xattr-dev (>= 1.0.0), librust-number-prefix-dev,
- librust-rust-ini-dev (>= 0.18.0), librust-failure-dev, librust-failure-derive-dev,
- librust-glob-dev, librust-chrono-dev, librust-onig-dev (>= 6.3),
+ librust-rust-ini-dev (>= 0.18.0),
+ librust-glob-dev (>= 0.3.1), librust-chrono-dev (>= 0.4.31), librust-onig-dev (>= 6.3),
  librust-blake2-rfc-dev, librust-digest-dev (>= 0.10.5), librust-hex-dev, librust-md5-dev,
  librust-sha1-dev (>= 0.10.1), librust-sha2-dev, librust-sha3-dev,
- librust-atty-dev, librust-term-grid-dev, librust-termsize-dev,
- librust-tempfile-dev, librust-nix-dev (>= 0.25.0), librust-fs-extra-dev,
+ librust-atty-dev, librust-uutils-term-grid-dev (>= 0.6.0), librust-termsize-dev,
+ librust-tempfile-dev, librust-nix-0.27-dev, librust-fs-extra-dev,
  librust-itertools-dev (>= 0.10.5), librust-bit-set-dev, librust-dunce-dev (>= 1.0.3),
  librust-data-encoding-dev, librust-platform-info-dev (>= 1.0.2),
  librust-num-traits-dev (>= 0.2.14), librust-smallvec-dev (>= 1.9.0),
  librust-rand-pcg-dev, librust-thiserror-dev, librust-lazy-static-dev,
  librust-byteorder-dev, librust-hostname-dev (>= 0.3.1), librust-cpp-build-dev,
  librust-fnv-dev, librust-wild-dev, librust-cpp-dev, librust-thread-local-dev,
- librust-selinux-dev (>= 0.3.0), librust-conv-dev, librust-pretty-assertions-dev (>= 1),
+ librust-selinux-dev (>= 0.3.0), librust-selinux-sys-dev (>= 0.6.7-2), librust-conv-dev, librust-pretty-assertions-dev (>= 1),
  librust-time-dev (>= 0.3.9), librust-unindent-dev (>= 0.2.1), librust-rlimit-dev (>= 0.8.3),
  librust-data-encoding-macro-dev, librust-dns-lookup-dev, librust-os-display-dev,
  librust-z85-dev, librust-fts-sys-dev, librust-exacl-dev, librust-byte-unit-dev,
@@ -46,7 +46,8 @@
  librust-indicatif-dev (>= 0.17.3),
  librust-fundu-dev, librust-parse-datetime-dev,
  librust-is-terminal-dev, librust-sm3-dev, librust-self-cell-dev,
- librust-backtrace-sys-dev, python3-sphinx, help2man
+ librust-uutils-term-grid-dev, librust-rstest-dev,
+ librust-backtrace-sys-dev, python3-sphinx
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
