=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,9 @@
 #use lower debuginfo level on 32-bit to avoid running out of address space.
 ifeq ($(DEB_HOST_ARCH_BITS),32)
 execute_after_dh_auto_configure:
-	sed -i s/debuginfo=2/debuginfo=1/ debian/cargo_home/config
+	if test -f debian/cargo_home/config; then \
+		sed -i s/debuginfo=2/debuginfo=1/ debian/cargo_home/config; \
+	fi
 endif
 
 override_dh_clean:
