## rust-coreutils 0.0.27

=== debian/changelog ===
rust-coreutils (0.0.27-2) unstable; urgency=medium

  * Team upload.
  * Update for nix 0.28 (Closes: #1085563)
    + Drop relax-nix.patch and nix-0.27.patch
    + Add new patch for nix 0.29
  * Add patch to support rust-ini 0.18, since newer version is blocked on
    rust-trim-in-place clearing NEW.
  * Reduce context in patches to avoid problems applying them after changes
    in other patches.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 17:56:48 +0000

rust-coreutils (0.0.27-1) unstable; urgency=medium

  * New upstream release
  * Disable factor as num-prime isn't working in Debian yet

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Nov 2024 00:31:47 +0100
