=== debian/control ===
--- 
+++ 
@@ -17,12 +17,15 @@
  librust-quick-error-dev (>= 2.0), librust-unix-socket-dev, librust-getopts-dev,
  librust-filetime-dev (>= 0.2.17),
  librust-walkdir-dev (>= 2.3.2), librust-xattr-dev (>= 1.0.0), librust-number-prefix-dev,
+ librust-ansi-width-dev,
+# librust-num-prime-dev,
+ librust-bincode-dev, librust-serde-big-array-dev,
  librust-rust-ini-dev (>= 0.18.0),
  librust-glob-dev (>= 0.3.1), librust-chrono-dev (>= 0.4.31), librust-onig-dev (>= 6.3),
  librust-blake2-rfc-dev, librust-digest-dev (>= 0.10.5), librust-hex-dev, librust-md5-dev,
  librust-sha1-dev (>= 0.10.1), librust-sha2-dev, librust-sha3-dev,
  librust-atty-dev, librust-uutils-term-grid-dev (>= 0.6.0), librust-termsize-dev,
- librust-tempfile-dev, librust-nix-0.27-dev, librust-fs-extra-dev,
+ librust-tempfile-dev, librust-nix-0.29-dev, librust-fs-extra-dev,
  librust-itertools-dev (>= 0.10.5), librust-bit-set-dev, librust-dunce-dev (>= 1.0.3),
  librust-data-encoding-dev, librust-platform-info-dev (>= 1.0.2),
  librust-num-traits-dev (>= 0.2.14), librust-smallvec-dev (>= 1.9.0),
