## rust-coreutils 0.0.30

=== debian/changelog ===
rust-coreutils (0.0.30-2ubuntu2) questing; urgency=medium

  * Add missing libselinux1-dev, libclang-dev build dependencies

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 13:27:37 +0200

rust-coreutils (0.0.30-2ubuntu1) questing; urgency=medium

  * Vendor dependencies
    - debian/rules:
      + Add vendoring rules
      + Move the prepare-debian call to override_dh_auto_configure and adjust it
        to use our vendored dependencies
    - debian/patches:
      + Add workspace-exclude.patch to exclude vendored crates from the workspace
      + Drop all the patches to adjust crate versions
      + Drop all the patches to adjust code to different crate versions
      + Drop all the patches to disable certain programs or windows
        dependencies, as we can now
  * Build factor, basenc and install links for them
  * Build stty binary (LP: #2111211)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 12:24:02 +0200

rust-coreutils (0.0.30-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * disable stdbuf
  * tweak build profile for right balance between the smallest binary size and enough debug info

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Apr 2025 21:02:55 +0200

rust-coreutils (0.0.30-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1101590)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Apr 2025 23:49:25 +0200

rust-coreutils (0.0.27-3) unstable; urgency=medium

  [ NoisyCoil ]
  * Team upload.
  * Package coreutils 0.0.27 from crates.io using debcargo 2.7.5
  * Remove unused librust-users-dev build-dependency
    (Closes: #1089872)

  [ Sylvestre Ledru ]
  * Update of the description. Thanks to Dylan Aissi
  * Fix the executable-not-elf-or-script warning
  * Remove old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2024 13:56:37 +0100
