=== debian/control ===
Source: rust-coreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 dh-sequence-bash-completion,
 cargo:native,
 rustc:native,
 libselinux1-dev,
 libclang-dev,
 python3-sphinx,
XS-Vendored-Sources-Rust: adler2@2.0.0, aho-corasick@1.1.3, allocator-api2@0.2.21, ansi-width@0.1.0, anstream@0.6.18, anstyle-parse@0.2.6, anstyle-query@1.1.2, anstyle@1.0.10, arrayref@0.3.9, arrayvec@0.7.6, autocfg@1.4.0, bigdecimal@0.4.7, binary-heap-plus@0.5.0, bincode@1.3.3, bindgen@0.70.1, bindgen@0.71.1, bitflags@1.3.2, bitflags@2.9.0, bitvec@1.0.1, blake2b_simd@1.0.3, blake3@1.6.1, block-buffer@0.10.4, bstr@1.11.3, bumpalo@3.17.0, bytecount@0.6.8, byteorder@1.5.0, cc@1.2.16, cexpr@0.6.0, cfg-if@1.0.0, cfg_aliases@0.2.1, chrono-tz-build@0.4.0, chrono-tz@0.10.1, chrono@0.4.40, clang-sys@1.8.1, clap@4.5.31, clap_builder@4.5.31, clap_complete@4.5.46, clap_lex@0.7.4, clap_mangen@0.2.26, colorchoice@1.0.3, compare@0.1.0, console@0.15.11, const-random-macro@0.1.16, const-random@0.1.18, constant_time_eq@0.3.1, coz@0.1.3, cpp@0.5.10, cpp_build@0.5.10, cpp_common@0.5.10, cpp_macros@0.5.10, cpufeatures@0.2.17, crc32fast@1.4.2, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, crossterm@0.28.1, crunchy@0.2.3, crypto-common@0.1.6, ctrlc@3.4.5, data-encoding-macro-internal@0.1.15, data-encoding-macro@0.1.17, data-encoding@2.8.0, deranged@0.3.11, diff@0.1.13, digest@0.10.7, displaydoc@0.2.5, dlv-list@0.5.2, dns-lookup@2.0.4, dunce@1.0.5, either@1.15.0, equivalent@1.0.2, errno@0.3.10, exacl@0.12.0, fastrand@2.3.0, file_diff@1.0.0, filedescriptor@0.8.3, filetime@0.2.25, flate2@1.1.0, fnv@1.0.7, foldhash@0.1.4, fs_extra@1.3.0, fts-sys@0.2.14, fundu-core@0.3.1, fundu@2.0.1, funty@2.0.0, futures-core@0.3.31, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gcd@2.3.0, generic-array@0.14.7, getrandom@0.2.15, getrandom@0.3.1, glob@0.3.2, half@2.4.1, hashbrown@0.14.5, hashbrown@0.15.2, hex-literal@0.4.1, hex@0.4.3, hostname@0.4.0, iana-time-zone@0.1.61, indexmap@2.7.1, indicatif@0.17.11, inotify-sys@0.1.5, inotify@0.11.0, is_terminal_polyfill@1.70.1, itertools@0.13.0, itertools@0.14.0, itoa@1.0.15, keccak@0.1.5, lazy_static@1.5.0, libc@0.2.170, libloading@0.8.6, libm@0.2.11, linux-raw-sys@0.4.15, linux-raw-sys@0.9.2, lock_api@0.4.12, lockfree-object-pool@0.1.6, log@0.4.26, lru@0.12.5, lscolors@0.20.0, md-5@0.10.6, memchr@2.7.4, memmap2@0.9.5, minimal-lexical@0.2.1, miniz_oxide@0.8.5, mio@1.0.3, nix@0.29.0, nom@7.1.3, nom@8.0.0, notify-types@2.0.0, notify@8.0.0, nu-ansi-term@0.50.1, num-bigint@0.4.6, num-conv@0.1.0, num-integer@0.1.46, num-modular@0.5.1, num-prime@0.4.4, num-traits@0.2.19, num_threads@0.1.7, number_prefix@0.4.0, once_cell@1.20.3, onig@6.4.0, onig_sys@69.8.1, ordered-multimap@0.7.3, os_display@0.1.3, parking_lot@0.12.3, parking_lot_core@0.9.10, parse-zoneinfo@0.3.1, parse_datetime@0.8.0, phf@0.11.3, phf_codegen@0.11.3, phf_generator@0.11.3, phf_shared@0.11.3, pin-project-lite@0.2.16, pin-utils@0.1.0, pkg-config@0.3.32, platform-info@2.0.5, portable-atomic@1.11.0, powerfmt@0.2.0, ppv-lite86@0.2.20, pretty_assertions@1.4.1, prettyplease@0.2.30, proc-macro-crate@3.3.0, proc-macro2@1.0.94, procfs-core@0.17.0, procfs@0.17.0, quick-error@2.0.1, quote@1.0.39, radium@0.7.0, rand@0.8.5, rand@0.9.0, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, relative-path@1.9.3, rlimit@0.10.2, roff@0.2.2, rstest@0.25.0, rstest_macros@0.25.0, rust-ini@0.21.1, rustc-hash@1.1.0, rustc-hash@2.1.1, rustc_version@0.4.1, rustix@0.38.44, rustix@1.0.1, same-file@1.0.6, scopeguard@1.2.0, self_cell@1.1.0, selinux-sys@0.6.13, selinux@0.5.0, semver@1.0.26, serde-big-array@0.5.1, serde@1.0.218, serde_derive@1.0.218, sha1@0.10.6, sha2@0.10.8, sha3@0.10.8, shlex@1.3.0, signal-hook-mio@0.2.4, signal-hook-registry@1.4.2, signal-hook@0.3.17, simd-adler32@0.3.7, siphasher@1.0.1, slab@0.4.9, sm3@0.4.2, smallvec@1.14.0, smawk@0.3.2, socket2@0.5.8, strsim@0.11.1, syn@2.0.99, tap@1.0.1, tempfile@3.18.0, terminal_size@0.4.1, textwrap@0.16.2, thiserror-impl@1.0.69, thiserror-impl@2.0.12, thiserror@1.0.69, thiserror@2.0.12, time-core@0.1.3, time-macros@0.2.20, time@0.3.39, tiny-keccak@2.0.2, toml_datetime@0.6.8, toml_edit@0.22.24, trim-in-place@0.1.7, typenum@1.18.0, unicode-ident@1.0.18, unicode-linebreak@0.1.5, unicode-segmentation@1.12.0, unicode-width@0.1.14, unicode-width@0.2.0, unicode-xid@0.2.6, unindent@0.2.4, utf8parse@0.2.2, uuid@1.15.1, uutils_term_grid@0.6.0, version_check@0.9.5, walkdir@2.5.0, wild@2.2.1, winnow@0.7.3, wyz@0.5.1, xattr@1.5.0, yansi@1.0.1, z85@3.0.6, zerocopy-derive@0.7.35, zerocopy@0.7.35, zerocopy@0.8.23, zip@2.2.3, zopfli@0.8.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/coreutils]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/coreutils
Homepage: https://github.com/uutils/coreutils
Rules-Requires-Root: no

Package: rust-coreutils
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Universal coreutils utils, written in Rust
 This packages replaces the GNU coreutils package written in C.
 It should be a drop-in replacement but:
  * Some options have NOT been implemented,
  * Might have important bugs,
  * Might be slower,
  * Output of the binaries might be slightly different.
